import { ElementRef, OnInit } from "@angular/core";
import { StiModelService } from "../../services/model.service";
import { StiDateTimeBoxElement } from "../../elements/StiDateTimeBoxElement";
import { DatePipe } from "@angular/common";
import { StiEditableContentService } from "../../services/sti-editable-content.service";
export declare class StiDateTimeBoxComponent implements OnInit {
    model: StiModelService;
    date: DatePipe;
    editableService: StiEditableContentService;
    inputDate: ElementRef;
    element: StiDateTimeBoxElement;
    isClone: boolean;
    get isCurrent(): boolean;
    get needToFill(): boolean;
    get align(): string;
    get isMozila(): boolean;
    get horizontalAlignment(): "center" | "start" | "flex-end";
    get format(): string;
    get today(): string;
    get custom(): string;
    parseDate(value: any): void;
    formattingDate(dateFormat: any): any;
    changeState(): void;
    borderWidth(): string;
    inFocus(): void;
    constructor(model: StiModelService, date: DatePipe, editableService: StiEditableContentService);
    ngOnInit(): void;
}
